Last Comment Bug 656594 - Sync Now button is active even if the Sync is in progress
: Sync Now button is active even if the Sync is in progress
Status: NEW
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P2 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-12 06:27 PDT by Cristian Nicolae (:xti)
Modified: 2012-09-06 12:39 PDT (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Cristian Nicolae (:xti) 2011-05-12 06:27:44 PDT
Build id : Mozilla/5.0 (Android;Linux armv7l;rv:6.0a1)Gecko/20110511
Firefox/6.0a1 Fennec/6.0a1
Device: HTC Desire
OS: Android 2.2


Steps to reproduce:
1. Open Fennec App
2. Connect to Sync with a valid sync account/sync code
3. Tap on Details > Sync Now
4. Wait until Sync progress is done

Expected result:
Sync Now button is grayed out until the Sync progress is completed. 

Actual result:
If Sync is in progress for a long time, the Sync Now button will change its state from grayed out to active.

Note:
Even if it is tapped again, there will be no changes in the app, the Sync will be still in progress
Comment 1 Aaron Train [:aaronmt] 2011-05-12 06:57:24 PDT
Device: Nexus One
Build: Same as above

I was able to reproduce.  I don't understand all the lock logic in the observers in the WeaveGlue object but it looks like the issue could be with the timeout here http://mxr.mozilla.org/mozilla-central/source/mobile/chrome/content/sync.js#441, where the attribute value is flipped on the element
Comment 2 Ioana Chiorean 2011-05-20 07:43:09 PDT
TC https://litmus.mozilla.org/single_result.cgi?id=427270 fails due to this bug.
Comment 3 Ioana Chiorean 2011-05-20 08:22:12 PDT
And also http://litmus.mozilla.org/single_result.cgi?id=427187
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-07-28 09:42:55 PDT
Is this still an issue? I ask because the bug is old.
Comment 5 Cristian Nicolae (:xti) 2011-07-28 10:06:26 PDT
(In reply to comment #4)
> Is this still an issue? I ask because the bug is old.

I'm able to reproduce it on the latest Nightly build. It seems that Sync Now button becomes active and after a couple of seconds it will be automatically grayed out.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-04 10:44:38 PDT
Philipp, I assume we'll want to keep this UI ("Sync Now"). Is that true?

Note You need to log in before you can comment on or make changes to this bug.